| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
GL

# Method GL.glGenLists()

Method glGenLists

  `int glGenLists(int range)`

Description

  glGenLists has one argument, range. It returns an integer n such that range contiguous empty display lists, named n, n+1, ..., n+range -1, are created. If range is 0, if there is no group of range contiguous names available, or if any error is generated, no display lists are generated, and 0 is returned.

Parameter `range`

  Specifies the number of contiguous empty display lists to be generated.

Throws

  GL_INVALID_VALUE is generated if range is negative.

  GL_INVALID_OPERATION is generated if glGenLists is executed between the execution of glBegin and the corresponding execution of glEnd .